Summary:	GTK configuration and control utility for initng
Name:		initng-conf-gtk
Version:	0.5.1
Release:	5%{?dist}
Group:		Applications/System
License:	GPLv2+
Source0:	http://download.initng.org/initng-gui/%{name}/%{name}-%{version}.tar.gz
Url:		http://www.initng.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)

Requires:		usermode
Requires:		initng >= 0.6.8
BuildRequires:		libglade2-devel
BuildRequires:		initng-devel >= 0.6.8
BuildRequires:		gtk2-devel
BuildRequires:		GConf2-devel
BuildRequires:		desktop-file-utils
BuildRequires:		scrollkeeper
BuildRequires:		intltool
BuildRequires:		gettext
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		GConf2
Requires(pre):		GConf2
Requires(preun):	GConf2

%description
Small graphical utility that lets you easily check status of and control
initng services and that also has built-in functionality to edit services
and runlevels.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%{__make} DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}
%{__mkdir} $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
%{__ln_s} consolehelper %{name}
%{__rm} -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
desktop-file-install --vendor "fedora" --delete-original \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || : 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
update-desktop-database &> /dev/null || :
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS TODO
%{_datadir}/pixmaps/initng-icon.png
%{_datadir}/icons/hicolor/*/apps/initng.png
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_sbindir}/%{name}
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Mar 22 2008 Daniel Malmgren <dm@mensa.se> - 0.5.1-4
- Fix too long lines in description

* Fri Mar 21 2008 Daniel Malmgren <dm@mensa.se> - 0.5.1-3
- Fixed some small typos
- Removed desktop-file-utils requirement from %%post
- Added a little bit more info in the description

* Sat Dec 15 2007 Daniel Malmgren <dm@mensa.se> - 0.5.1-2
- Replaced occurences of rm, ln -s, mkdir, make and /usr/bin with macros
- Added -p argument to make install to preserve timestamps
- Added "|| :" to end of gtk-update-icon-cache command
- update-desktop-database in %%post
- Replaced whitespaces with tabs
- Package now owns the dir containing the .glade file
- Use "fedora" as vendor for the .desktop file

* Tue Nov 15 2007 Daniel Malmgren <dm@mensa.se> - 0.5.1-1
- New upstreams version

* Tue Nov 15 2007 Daniel Malmgren <dm@mensa.se> - 0.5-2
- Changed license to GPLv2+
- This rpm now no longer owns icon directories that it shouldn't own
- Fixed update-desktop-database and scrollkeeper-update according
  to directions

* Tue Jan 30 2007 Daniel Malmgren <dm@mensa.se> - 0.5-1
- New upstreams version

* Tue Jan 30 2007 Daniel Malmgren <dm@mensa.se> - 0.4svn060130-1
- Don't use %%makeinstall
- Replaced loads of instances of initng-conf-gtk with %%{name} macro
- Use %%{?_smp_mflags}

* Thu Jan 18 2007 Daniel Malmgren <dm@mensa.se> - 0.4svn060118-2
- Include icons

* Thu Jan 18 2007 Daniel Malmgren <dm@mensa.se> - 0.4svn060118-1
- Update from upstreams svn

* Thu Jan 11 2007 Daniel Malmgren <dm@mensa.se> - 0.4-1
- New upstreams version
- Fixed the %%find_lang stuff so that it actually works

* Thu Jan 11 2007 Daniel Malmgren <dm@mensa.se> - 0.3-2
- Make rpmlint even more happy
- Include more doc files
- Include gconf schemas in installation
- Use %%find_lang

* Wed Jan 10 2007 Daniel Malmgren <daner964@student.liu.se> - 0.3-1
- First really serious try ;-)

* Fri May 5 2005 Daniel Malmgren <daner964@student.liu.se> - 0.2-1
- First spec file try
